.node--type-blog.node--view-mode-teaser{
    background: white;
    box-shadow: var(--box-shadow);
    padding: 1.5rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    max-width: 30rem;
    min-height: 31rem;
    font-family: var(--font-Raleway);
}
@media(width > 48rem){
    .node--type-blog.node--view-mode-teaser{
        max-width: 20rem;
    } 
}
@media(width > 54rem){
    .node--type-blog.node--view-mode-teaser{
        max-width: 24rem;
    } 
}

.node--type-blog.node--view-mode-teaser .field--name-field-media img{
    width: 100%;
    height: auto;
    aspect-ratio: 3 / 4;
    object-fit: cover;
}

.node--type-blog.node--view-mode-teaser .field--name-field-category{
    color: var(--color-tertiary);
    font-size: 0.875rem;
}

.node--type-blog.node--view-mode-teaser .node-header{
    display: flex;
    justify-content: space-between;
    gap: 1.5rem;
}

.node--type-blog.node--view-mode-teaser .node-header h2{
    font-size: 0.9375rem;
    font-weight: 500;
    text-align: left;
    padding-top: 0;
}

.node--type-blog.node--view-mode-teaser .node-header:hover h2{
    text-decoration: underline;
}

.node--type-blog.node--view-mode-teaser .node-header .node-date{
    text-transform: lowercase;
    color: var(--color-primary);
    font-size: 0.75rem;
    display: flex;
    gap: 1rem;
    margin-top: 0.15rem;
}

.node--type-blog.node--view-mode-teaser .node-header .node-date::after{
    content: url('data:image/svg+xml,<svg width="12" height="12" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1 11L11 1M11 1H1M11 1V11" stroke="%2334A8DB" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/></svg>');
    display: block;
}

.node--type-blog.node--view-mode-teaser{
    font-size: 0.875rem;
    color: var(--color-gray-600);
}

.node--type-blog.node--view-mode-teaser p{
    padding: 0;
    line-height: 1.5;
    font-weight: 500;
    text-align: left;
}